Ryzehosting
  1. account
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
      GET
    • password
      POST
    • hardware
      GET
    • reinstall
      POST
    • rrddata
      GET
    • cancel
      POST
    • status
      GET
    • prices
      GET
    • config
      GET
    • renew
      POST
    • power
      POST
    • hosts
      GET
    • order
      POST
    • vnc
      GET
    • list
      GET
    • ptr
      POST
    • os
      GET
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. account

transactions

GET
account/transactions

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/account/transactions?state=success&limit=50&offset=0' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "response": "Successfully fetched transactions",
    "state": "success",
    "code": 200,
    "data": {
        "transactions": [
            {
                "id": 2053,
                "uuid": "019b1e95-d3dd-890a-8637-2d1694f9bb8c",
                "gateway": "Bestellung",
                "method": "Guthaben",
                "state": "success",
                "amount": -5.86,
                "description": "Intel Xeon KVM Server | ID: 019b1e95-d374-8511-8824-d972e7142f53 - 30 Tage",
                "transaction_id": "019b1e95-d374-8511-8824-d972e7142f53",
                "created_at": "2025-12-14 21:38:14",
                "updated_at": "2025-12-14 21:38:14"
            },
            {
                "id": 2052,
                "uuid": "",
                "gateway": "administration",
                "method": "administration",
                "state": "success",
                "amount": 200,
                "description": "testing credits",
                "transaction_id": null,
                "created_at": "2025-12-14 21:37:47",
                "updated_at": "2025-12-14 21:37:47"
            },
            {
                "id": 158,
                "uuid": "",
                "gateway": "803",
                "method": "",
                "state": "pending",
                "amount": 0,
                "description": "success",
                "transaction_id": null,
                "created_at": "2025-10-04 20:30:01",
                "updated_at": "2025-10-04 20:30:01"
            }
        ],
        "pagination": {
            "total": 3,
            "limit": 50,
            "offset": 0,
            "has_more": false
        }
    }
}
Modified at 2025-12-30 04:01:36
Previous
affiliate stats
Next
get address
Built with